[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#870448: marked as done (hw-detect - stop using modprobe -l)



Your message dated Sat, 09 Feb 2019 16:16:00 +0000
with message-id <E1gsVIO-0002hZ-7K@fasolo.debian.org>
and subject line Bug#870448: fixed in hw-detect 1.135
has caused the Debian Bug report #870448,
regarding hw-detect - stop using modprobe -l
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
870448: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870448
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: hw-detect
Version: 1.124
Severity: normal
Tags: patch

I keep seeing this in installer logs, back to jessie.

Aug  2 01:52:11 main-menu[193]: (process:224): modprobe: invalid option -- 'l'


I rated this normal rather than minor because the way it is working
now the is_available() function always returns 1 (failure)

My suggestion is to use modinfo instead.
This will return multiline output inside the quotes but
a couple of tests suggests that is ok.
It does fail with some modules (nvidia), not sure if we care.

diff --git a/hw-detect.sh b/hw-detect.sh
index 7977814..d8196c1 100755
--- a/hw-detect.sh
+++ b/hw-detect.sh
@@ -43,7 +43,7 @@ is_not_loaded() {
 }
 
 is_available () {
-       [ "$(modprobe -l $1)" ] || return 1
+       [ "$(modinfo $1)" ] || return 1
 }
 
 # Module as first parameter, description of device the second.

Kind regards
Vince

--- End Message ---
--- Begin Message ---
Source: hw-detect
Source-Version: 1.135

We believe that the bug you reported is fixed in the latest version of
hw-detect, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 870448@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Wansing <hwansing@mailbox.org> (supplier of updated hw-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 09 Feb 2019 16:22:22 +0100
Source: hw-detect
Architecture: source
Version: 1.135
Distribution: unstable
Urgency: medium
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Holger Wansing <hwansing@mailbox.org>
Closes: 870448
Changes:
 hw-detect (1.135) unstable; urgency=medium
 .
   * Team upload
 .
   * Remove trailing whitespaces from changelog file, to fix lintian tag.
   * No longer use invalid 'modprobe -l' call, replace by 'modprobe -qn' to
     query available modules (Closes: #870448).
 .
   [ Updated translations ]
   * Danish (da.po) by Joe Hansen
   * Finnish (fi.po) by Juhani Numminen
Checksums-Sha1:
 886254ce78941e2f084e7c17b82dddecbfa76d26 2069 hw-detect_1.135.dsc
 f2ca8e54c0ea8e4dacbc87fc5413f7f34ef2a628 188660 hw-detect_1.135.tar.xz
 db99849565677020162e66b9f6a683d8b7434c2f 6454 hw-detect_1.135_amd64.buildinfo
Checksums-Sha256:
 606a743559c020c37b9fe418ecf5b4874a76bfaf60999d09f6405297b2857c0b 2069 hw-detect_1.135.dsc
 c07121cb91753799ca4964c868fb7b6102c25706260f739851bb93ddc95222de 188660 hw-detect_1.135.tar.xz
 79cf4b0ca40202ea7613dd5546efcd789f3d222adcf0642010146d8e638523d1 6454 hw-detect_1.135_amd64.buildinfo
Files:
 ac4d7fcb8589de560a5f40c48159330a 2069 debian-installer standard hw-detect_1.135.dsc
 1b9cb5419d142ef4de3054d5c6dcf36f 188660 debian-installer standard hw-detect_1.135.tar.xz
 169cc61bc57d23bddc45c6025617f17b 6454 debian-installer standard hw-detect_1.135_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEESWrG6BRCSzSFCDUpWfGHyhVusHYFAlxe84gVHGh3YW5zaW5n
QG1haWxib3gub3JnAAoJEFnxh8oVbrB2pQkP/0Ti+EvsPkvcUC4Eb641zSmZNO68
atAPghBNF8Pa5qRdP0leOpK5dCkst6uPzx4r3KzklQNXsmExDUlBdwQ1HrPl5joC
ELf1ravuyPWz8tw2Y9tLisiqk8ZmlmRwiEaEglOaaBXyVXHEcU23LtVqGZe09Ugq
k/Qu9Rtjf53azio1G0z0SXeDDy0NmDwNnAP0pK/u3PevcNth4oVqyZW5jcKmd+z3
KBxkGKI2vM8kvFUVaQSy3GwpIhy7GgqSjsvKAREYNjm2qllpXrAoTZK+GL0SFsNR
gOelLOs19hRwqVPnrx2KRd1NvXg4KPDM8xcyjJaKlD3UAXZ1wcusQe7vyNRWEKx8
J6peLn2xZkP9OBej5Rl/YirYYIuG8nvC9OCuS9IIeIzmlklKdQ7aDPUOJJMWvaps
GD2jnQHvGmtcxq+UWJru6Dq0zFKKLOo+1OE7Eacnxl6w7kdxJ226odWFDw0SeKzP
LeTAKSCEsrXFJRokpQNoY7Ks9L6BRopWRHmbj+ACCOfLBNWtdGhupkqoJneEFeDU
lpalJUJl3RIg5wH1Me2JXPUzxtHhKSVUhiAMUfxXcDsjFt4oQ+9fHThMvLBBzKoN
7U75T5SCvNIVroOiv+abLM3b92bN/kLJJFa69Ex1VG8lAdpu0MFqovvMjM3djETZ
QIOhZx93aeoQ9FhQ
=ELuT
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: